Skip to main content
GET
/
v1
/
marketplaces
/
{marketplaceId}
/
resolved
Get marketplace resolved
curl --request GET \
  --url https://api.openworklabs.com/v1/marketplaces/{marketplaceId}/resolved
{
  "ok": true,
  "item": {
    "marketplace": {
      "id": "<string>",
      "organizationId": "<string>",
      "name": "<string>",
      "description": "<string>",
      "status": "active",
      "createdByOrgMembershipId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z",
      "pluginCount": 4503599627370495
    },
    "plugins": [
      {
        "id": "<string>",
        "organizationId": "<string>",
        "name": "<string>",
        "description": "<string>",
        "status": "active",
        "createdByOrgMembershipId": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z",
        "deletedAt": "2023-11-07T05:31:56Z",
        "memberCount": 4503599627370495,
        "marketplaces": [
          {
            "id": "<string>",
            "name": "<string>"
          }
        ],
        "componentCounts": {}
      }
    ],
    "source": {
      "connectorAccountId": "<string>",
      "connectorInstanceId": "<string>",
      "accountLogin": "<string>",
      "repositoryFullName": "<string>",
      "branch": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://openworklabs.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

marketplaceId
string<typeid>
required

Den TypeID with 'mkt_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^mkt_.*

Response

Marketplace resolved detail returned successfully.

ok
boolean
required
item
object
required